Bug 486938 - exaile crashes while fetching information after track has changed
exaile crashes while fetching information after track has changed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
: 499899 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 06:44 EST by Roman
Modified: 2009-12-18 03:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 499899 (view as bug list)
Environment:
Last Closed: 2009-12-18 03:01:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exaile crash report while fetching information after track has changed (659.35 KB, text/plain)
2009-02-23 06:44 EST, Roman
no flags Details

  None (edit)
Description Roman 2009-02-23 06:44:06 EST
Created attachment 332924 [details]
exaile crash report while fetching information after track has changed

Description of problem:
If exaile shows the track information tabs statistics, artist, album and lyrics and the song changes, exaile crashes when selecting one of the tabs artist, album and lyrics.

Version-Release number of selected component (if applicable):
exaile-0.2.14

How reproducible:
Always reproducible by trying to fetch the album, artist or lyrics data for a track after track has changed.

Steps to Reproduce:
1. play song in exaile
2. fetch track information, e.g. lyrics, album, artist
3. let the song automatically change (song ends, next plays)
4. fetch track information for this song
  
Actual results:
Exaile crashes, additional log available

Expected results:
No crash, new track information will be shown.

Additional info:
The error log shows an AuthError in scrobbler.py
Comment 1 Herbert 2009-04-17 09:24:26 EDT
MY TRACE, RELATED TO THIS BUG:

[herbert@fedorah ~]$ exaile
Exaile 0.2.14
which: no serpentine in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/herbert/bin)
which: no brasero in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/herbert/bin)
which: no k3b in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/herbert/bin)
Created db for thread Thread-1
{'Thread-1': <sqlite3.Connection object at 0x2570978>}
A supported CD burning program was not found in $PATH, disabling burning capabilities.
Activated gnome mmkeys for gnome 2.22.x
Using multimedia keys from: gnome
loading tracks...
Starting scan timer at 25.0
Closed db for thread Thread-1
done loading tracks...
loading songs
Clearing tracks cache
Importing /home/herbert/.exaile/saved/playlist0000.m3u
Last playlist loaded
Loading page 0
Traceback (most recent call last):
  File "/usr/lib64/exaile/xl/gui/main.py", line 1241, in as_play_track
    int(track.duration), track.track)
  File "/usr/lib64/exaile/lib/scrobbler.py", line 149, in now_playing
    raise AuthError("Please 'login()' first. (No session available)")
lib.scrobbler.AuthError: Please 'login()' first. (No session available)
ReplayGain support initialized.
Equalizer support initialized.
/usr/lib64/exaile/xl/prefs.py:368: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.xml = gtk.glade.XML('exaile.glade', 'PreferencesDialog', 'exaile')
which: no serpentine in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/herbert/bin)
which: no brasero in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/herbert/bin)
which: no k3b in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/herbert/bin)
Starting scan timer at 25.0
which: no serpentine in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/herbert/bin)
which: no brasero in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/herbert/bin)
which: no k3b in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/herbert/bin)
http://lyricwiki.org/api.php?artist=Slipknot&song=Eyeless&fmt=html
Traceback (most recent call last):
  File "/usr/lib64/exaile/xl/gui/main.py", line 1241, in as_play_track
    int(track.duration), track.track)
  File "/usr/lib64/exaile/lib/scrobbler.py", line 149, in now_playing
    raise AuthError("Please 'login()' first. (No session available)")
lib.scrobbler.AuthError: Please 'login()' first. (No session available)
updated plays 1, rating -1
http://lyricwiki.org/api.php?artist=Meshuggah&song=Stengah&fmt=html
[herbert@fedorah ~]$
Comment 2 Justin Newman 2009-05-08 03:47:38 EDT
For me, the lyrics seem to be the only thing that crash it. Additionally, you can also trigger it by pulling information for one song, then another via right click, without actually changing tracks.

Me triggering a crash as indicated above:

[eqisow@justin-fedora ~]$ exaile
/usr/lib64/exaile/xl/library.py:17: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5, os, random, re, threading, time, traceback, gc, sys
Exaile 0.2.14
/usr/lib64/exaile/xl/panels/collection.py:59: GtkWarning: Theme directory  of theme hydroxygen has no size field

  gtk.ICON_SIZE_SMALL_TOOLBAR)
/usr/lib64/exaile/xl/panels/collection.py:59: GtkWarning: Theme directory scalable/categories of theme hydroxygen has no size field

  gtk.ICON_SIZE_SMALL_TOOLBAR)
which: no serpentine in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/eqisow/bin)
which: no k3b in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/eqisow/bin)
which: no serpentine in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/eqisow/bin)
which: no k3b in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/eqisow/bin)
Activated gnome mmkeys for gnome 2.22.x
Using multimedia keys from: gnome
Plugins 'Add Directory' version '0.1' loaded successfully
Plugins 'Shoutcast Radio' version '0.4.8' loaded successfully
Plugins 'LibNotify Plugin' version '0.1.6' loaded successfully
Plugins 'iPod Device Driver' version '0.4.6' loaded successfully
Plugins 'LastFM Radio' version '0.2.7' loaded successfully
Starting LastFMProxy 1.3b...
Connecting to last.fm server...
Plugins 'Alarm Clock' version '0.2' loaded successfully
Plugins 'Resume Playback' version '0.2.3' loaded successfully
Plugins 'Streamripper!' version '0.1.4' loaded successfully
Plugins 'Tray Buttons' version '0.7.3' loaded successfully
Starting scan timer at 25.0
loading tracks...
Created db for thread Thread-3
{'Thread-3': <sqlite3.Connection object at 0x2390490>}
[Last.FM]: Logged in successfully
To tune in, point your browser to:
  http://localhost:1881/
/usr/lib64/exaile/xl/media/__init__.py:61: DeprecationWarning: object.__init__() takes no parameters
  long.__init__(self, num)
Closed db for thread Thread-3
done loading tracks...
loading songs
Clearing tracks cache
Importing /home/eqisow/.exaile/saved/playlist0000.m3u
Last playlist loaded
/usr/lib64/exaile/xl/gui/playlist.py:354: GtkWarning: gtk_tree_path_append_index: assertion `index >= 0' failed
  iter = self.model.get_iter(path)
/usr/lib64/exaile/xl/gui/playlist.py:354: GtkWarning: gtk_tree_model_get_iter: assertion `path->depth > 0' failed
  iter = self.model.get_iter(path)
ReplayGain support initialized.
Not using Equalizer disabled by the user
[Last.FM]: Submitted 'now playing' succesfully
Loading page 0
which: no serpentine in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/eqisow/bin)
which: no k3b in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/eqisow/bin)
http://lyricwiki.org/api.php?artist=Fever+Ray&song=If+I+had+a+heart&fmt=html
which: no serpentine in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/eqisow/bin)
which: no k3b in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/eqisow/bin)
http://lyricwiki.org/api.php?artist=Fever+Ray&song=When+I+grow+up&fmt=html
[eqisow@justin-fedora ~]$
Comment 3 Deji Akingunola 2009-05-09 08:19:02 EDT
*** Bug 499899 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2009-11-18 06:12:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 03:01:03 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.